<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Estado{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO estados (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idestado,$nombre,$descripcion){
	$sql="UPDATE estados SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idestado='$idestado'";
	return ejecutarConsulta($sql);
}
public function desactivar($idestado){
	$sql="UPDATE estados SET condicion='0' WHERE idestado='$idestado'";
	return ejecutarConsulta($sql);
}
public function activar($idestado){
	$sql="UPDATE estados SET condicion='1' WHERE idestado='$idestado'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idestado){
	$sql="SELECT * FROM estados WHERE idestado='$idestado'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM estados";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM estados WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
